%define anolis_release 1
%global oname targetcli-fb

Name:           targetcli
License:        ASL 2.0
Summary:        An administration shell for storage targets
Version:        2.1.58
Release:        %{anolis_release}%{?dist}
URL:            https://github.com/open-iscsi/%{oname}
Source:         %{url}/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel, python3-setuptools, systemd-rpm-macros
Requires:       python3-rtslib, target-restore, python3-configshell, python3-six, python3-dbus
Requires:       python3-gobject-base


%description
An administration shell for configuring iSCSI, FCoE, and other
SCSI targets, using the TCM/LIO kernel target subsystem. FCoE
users will also need to install and use fcoe-utils.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}


%prep
%setup -q -n %{oname}-%{version}

%build
%py3_build

%install
%py3_install
mkdir -p %{buildroot}%{_sysconfdir}/target/backup
mkdir -p %{buildroot}%{_mandir}/man8/
install -m 644 targetcli*.8 %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_unitdir}/
install -m 644 systemd/* %{buildroot}%{_unitdir}/

%files
%license COPYING
%{python3_sitelib}/targetcli*
%{_bindir}/targetcli
%{_bindir}/targetclid
%{_mandir}/man8/targetcli*.8*
%{_unitdir}/*
%dir %{_sysconfdir}/target
%dir %{_sysconfdir}/target/backup

%files doc
%doc README.md

%changelog
* Thu Mar 20 2025 Weisson <Weisson@linux.alibaba.com> - 2.1.58-1
- Update to 2.1.58 from 2.1.54

* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.1.54-2
- Rebuild with python3.11

* Thu Apr 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.1.54-1
- init from upstream
